Bug 1095387 - 3.14.2-200.fc20 breaks Hyper-V networking
Summary: 3.14.2-200.fc20 breaks Hyper-V networking
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 15:02 UTC by Sitsofe Wheeler
Modified: 2015-08-02 07:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-02 07:15:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Sitsofe Wheeler 2014-05-07 15:02:31 UTC
Description of problem:
With the 3.14.2-200.fc20 kernel Hyper-V is no longer able to bring enable its networking devices in time on cloud images leading to the network devices not being brought online.

Version-Release number of selected component (if applicable):
3.14.2-200.fc20

How reproducible:
Reproducible every time.

Steps to Reproduce:
1. Install cloud image on Hyper-V.
2. Update to the latest kernel.
3. Reboot.

Actual results:
May 07 15:54:00 localhost systemd[1]: Reached target Sound Card.
May 07 15:54:00 localhost network[387]: Bringing up loopback interface:  [  OK  ]
May 07 15:54:00 localhost network[387]: Bringing up interface eth0:  ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Device eth0 does not seem to be present, delaying initialization.
May 07 15:54:00 localhost /etc/sysconfig/network-scripts/ifup-eth[515]: Device eth0 does not seem to be present, delaying initialization.
May 07 15:54:00 localhost network[387]: [FAILED]
May 07 15:54:01 localhost network[387]: Bringing up interface eth1:  ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Device eth1 does not seem to be present, delaying initialization.
May 07 15:54:01 localhost /etc/sysconfig/network-scripts/ifup-eth[537]: Device eth1 does not seem to be present, delaying initialization.
May 07 15:54:01 localhost network[387]: [FAILED]
May 07 15:54:01 localhost systemd-sysctl[558]: Overwriting earlier assignment of kernel/sysrq in file '/etc/sysctl.d/sysrq.conf'.
May 07 15:54:01 localhost systemd[1]: network.service: control process exited, code=exited status=1
May 07 15:54:01 localhost systemd[1]: Failed to start LSB: Bring up/down networking.
May 07 15:54:01 localhost systemd[1]: Unit network.service entered failed state.
May 07 15:54:01 localhost systemd[1]: Starting Network.
May 07 15:54:01 localhost systemd[1]: Reached target Network.
May 07 15:54:01 localhost systemd[1]: Started Login and scanning of iSCSI devices.
May 07 15:54:01 localhost systemd[1]: Starting virt-sysprep firstboot service...
May 07 15:54:01 localhost systemd[1]: Starting FIO server...
May 07 15:54:01 localhost systemd[1]: Started FIO server.
May 07 15:54:01 localhost systemd[1]: Starting OpenSSH server daemon...
May 07 15:54:01 localhost systemd[1]: Started OpenSSH server daemon.
May 07 15:54:01 localhost firstboot.sh[561]: /usr/lib/virt-sysprep/firstboot.sh start
May 07 15:54:01 localhost sshd[565]: Server listening on 0.0.0.0 port 22.
May 07 15:54:01 localhost sshd[565]: Server listening on :: port 22.
May 07 15:54:01 localhost firstboot.sh[561]: Scripts dir: /usr/lib/virt-sysprep/scripts
May 07 15:54:01 localhost systemd[1]: Started virt-sysprep firstboot service.
May 07 15:54:01 localhost systemd[1]: Starting Multi-User System.
May 07 15:54:01 localhost systemd[1]: Reached target Multi-User System.
May 07 15:54:01 localhost systemd[1]: Starting Update UTMP about System Runlevel Changes...
May 07 15:54:01 localhost systemd[1]: Started Stop Read-Ahead Data Collection 10s After Completed Startup.
May 07 15:54:01 localhost systemd[1]: Started Update UTMP about System Runlevel Changes.
May 07 15:54:01 localhost systemd[1]: Startup finished in 1.246s (kernel) + 6.771s (initrd) + 2.793s (userspace) = 10.810s.
May 07 15:54:01 localhost kernel: hv_netvsc vmbus_0_14: Device MAC 00:15:5d:0a:51:79 link state up

Expected results:
May 07 15:58:55 localhost crond[406]: (CRON) INFO (running with inotify support)
May 07 15:58:55 localhost systemd-sysctl[435]: Overwriting earlier assignment of kernel/sysrq in file '/etc/sysctl.d/sysrq.conf'.
May 07 15:58:55 localhost network[393]: Bringing up loopback interface:  [  OK  ]
May 07 15:58:55 localhost network[393]: Bringing up interface eth0:
May 07 15:58:56 localhost dhclient[522]: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4 (xid=0x7dbb2f32)
May 07 15:58:56 localhost dhclient[522]: DHCPREQUEST on eth0 to 255.255.255.255 port 67 (xid=0x7dbb2f32)
May 07 15:58:56 localhost dhclient[522]: DHCPOFFER from 10.1.0.2
May 07 15:58:56 localhost dhclient[522]: DHCPACK from 10.1.0.2 (xid=0x7dbb2f32)
May 07 15:58:58 localhost NET[570]: /usr/sbin/dhclient-script : updated /etc/resolv.conf
May 07 15:58:58 localhost dhclient[522]: bound to 10.1.3.168 -- renewal in 42905 seconds.
May 07 15:58:58 localhost network[393]: Determining IP information for eth0... done.
May 07 15:58:58 ubuntu1.exsequi.com network[393]: [  OK  ]
May 07 15:58:58 ubuntu1.exsequi.com network[393]: Bringing up interface eth1:  ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Device eth1 does not seem to be present, delaying initialization.
May 07 15:58:58 ubuntu1.exsequi.com /etc/sysconfig/network-scripts/ifup-eth[670]: Device eth1 does not seem to be present, delaying initialization.
May 07 15:58:58 ubuntu1.exsequi.com network[393]: [FAILED]
May 07 15:58:58 ubuntu1.exsequi.com systemd-sysctl[691]: Overwriting earlier assignment of kernel/sysrq in file '/etc/sysctl.d/sysrq.conf'.
May 07 15:58:58 ubuntu1.exsequi.com systemd[1]: network.service: control process exited, code=exited status=1
May 07 15:58:58 ubuntu1.exsequi.com systemd[1]: Failed to start LSB: Bring up/down networking.
May 07 15:58:58 ubuntu1.exsequi.com systemd[1]: Unit network.service entered failed state.

(the guest has two interfaces configured but only one is attached to the VM) 

Additional info:
After things have failed logging in and manually running
ifup eth0
works.

On some other VMs things seem to work and given how close 
May 07 15:54:00 localhost network[387]: Bringing up interface eth0:  ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Device eth0 does not seem to be present, delaying initialization.
and
May 07 15:54:01 localhost kernel: hv_netvsc vmbus_0_14: Device MAC 00:15:5d:0a:51:79 link state up
are it looks like something is racing...

Comment 1 Sitsofe Wheeler 2014-05-07 15:05:09 UTC
I forgot to say the the network is not NetworkManager controlled but is instead controlled by /etc/sysconfig/network-scripts/ifcfg-eth0 .

Cc'ing a microsoft developer.

Comment 2 Sitsofe Wheeler 2014-06-23 15:00:55 UTC
Filed upstream https://bugzilla.kernel.org/show_bug.cgi?id=78771 .

Comment 3 Sitsofe Wheeler 2014-09-30 03:19:21 UTC
CC'ing Jason.

Comment 4 K. Y. Srinivasan 2014-09-30 03:30:49 UTC
Sitsofe,

I think this is a known problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1130856

I have copied you on that bug.

Comment 5 Justin M. Forbes 2014-11-13 16:01:05 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 6 Justin M. Forbes 2014-12-10 15:00:42 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 7 Sitsofe Wheeler 2015-02-20 15:32:35 UTC
Still here:
Hyper-V 2012 R2
initscripts-9.56.1-6.fc21.x86_64
kernel-core-3.18.7-200.fc21.x86_64

Comment 8 Fedora Kernel Team 2015-04-28 18:32:37 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 9 Sitsofe Wheeler 2015-08-02 07:15:19 UTC
As of Fedora 22 it looks like this can be worked around using the steps mentioned in Bug #1204612 or Bug #1194623 . Closing.


Note You need to log in before you can comment on or make changes to this bug.